Bug 1608400 - [File Repository] - All Repositories are shown for file content instead of contained Library Repositories
Summary: [File Repository] - All Repositories are shown for file content instead of co...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Repositories
Version: 6.4
Hardware: x86_64
OS: Linux
unspecified
medium vote
Target Milestone: Released
Assignee: Stephen Benjamin
QA Contact: Omkar Khatavkar
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-25 13:00 UTC by Omkar Khatavkar
Modified: 2019-10-07 17:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:37:41 UTC


Attachments (Terms of Use)
Showing all repositories instead of file repositories (139.27 KB, image/png)
2018-07-25 13:00 UTC, Omkar Khatavkar
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:37:52 UTC
Foreman Issue Tracker 24529 None None None 2018-08-02 15:00:57 UTC

Description Omkar Khatavkar 2018-07-25 13:00:28 UTC
Created attachment 1470517 [details]
Showing all repositories instead of file repositories

Description of problem:
After navigating to https://<Satellite Host>/files/1/repositories, Only file repositories should be show which are containing the file instead of showing all repositories 


Version-Release number of selected component (if applicable):
Satellite 6.4.0 Snap 13 (verified here may be applicable for previous version  )

How reproducible:


Steps to Reproduce:
1. Upload manifest and Add RHEL7, 7.5 and Satellite tools repositories  
2. Add File Repository, Yum Repository  
3. Upload 2-3 Files in only File Repository 
4. Navigate to location https://<Satellite Host>/files/1/repositories

Actual results:
Currently showing all file and yum repositories

Expected results:
Only List of File Repositories should be shown not the all such as yum ..

Additional info:
mainly mapping for File Content with File repositories are missing or vice versa

Comment 2 Stephen Benjamin 2018-08-02 15:00:55 UTC
Created redmine issue https://projects.theforeman.org/issues/24529 from this bug

Comment 3 pm-sat@redhat.com 2018-08-02 15:50:33 UTC
Upstream bug assigned to stbenjam@redhat.com

Comment 4 pm-sat@redhat.com 2018-08-02 15:50:35 UTC
Upstream bug assigned to stbenjam@redhat.com

Comment 6 pm-sat@redhat.com 2018-08-15 14:14:39 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/24529 has been resolved.

Comment 9 Omkar Khatavkar 2018-11-28 14:14:48 UTC
Yes, Issue is resolved and verified on Satellite 6.5.4 snap

Comment 12 errata-xmlrpc 2019-05-14 12:37:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.